%define name k9copy
%define bname K9copy
%define version 1.2.3
%define release %mkrel 1
%define distsuffix plf

Name: %{name}
Version: %{version}
Release: %{release}
Summary: K9copy is a frontend for vamps 
License: GPL
URL: http://k9copy.sourceforge.net/
Group: Video
Source: http://ovh.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz
Source10: %{name}-16.png
Source11: %{name}-32.png
Source12: %{name}-48.png
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: kdelibs-devel >= 3.2
BuildRequires: libdvdread-devel
BuildRequires: hal-devel
BuildRequires: libdbus-qt-1-devel
BuildRequires: ffmpeg-devel

Requires: vamps
Requires: dvdauthor
Requires: mjpegtools
Requires: dvd+rw-tools
Requires: toolame
Requires: twolame
Requires: mplayer
Requires: mencoder
Obsoletes: %{_lib}k9copy0

%description
k9copy is a frontend for vamps that allow 
the copy of one or more titles from a DVD9 to a DVD5. 
This package is in PLF, as DVD ripping might break local laws.

%prep
%setup -q -n %{name}-%{version}
perl -pi -e "s|.png||" src/%{name}.desktop

%build
%configure \
%ifarch x86_64
 --enable-libsuffix=64 \
%endif
 --disable-rpath

%make

%install
rm -rf %{buildroot}
%{makeinstall_std}

#menus
install -d %{buildroot}/%{_menudir}
cat <<EOF >%{buildroot}/%{_menudir}/%{name}
?package(%{name}):command="%{_bindir}/%{name}" \
  icon=%{name}.png \
  needs="x11" \
  section="Multimedia/Video" \
  title="K9copy"\
  longtitle="%{summary}" \
  xdg="true"
EOF

#TODO: Fix Menu, it appears directly in Multimedia, not in Multimedia/Video
mkdir -p %{buildroot}%{_datadir}/applications/
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="Qt" \
  --add-category="Video" \
  --add-category="X-MandrivaLinux-Multimedia-Video" \
  --remove-key="MimeTypes" \
  --delete-original \
  --dir %{buildroot}%{_datadir}/applications/ %{buildroot}%{_datadir}/applications/kde/*

install -m644 %{SOURCE10} -D %{buildroot}/%{_miconsdir}/%{name}.png
install -m644 %{SOURCE11} -D %{buildroot}/%{_iconsdir}/%{name}.png
install -m644 %{SOURCE12} -D %{buildroot}/%{_liconsdir}/%{name}.png

%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(0644,root,root,0755)
%doc AUTHORS
%attr(0755,root,root) %{_bindir}/%{name}
%_menudir/%{name}
%_datadir/applications/%{name}.desktop
%_datadir/apps/%{name}
%_datadir/apps/konqueror/servicemenus/%{name}_open.desktop
%_docdir/HTML/en/k9copy/
%_iconsdir/hicolor/*/apps/%{name}.png
%_iconsdir/%{name}.png
%_iconsdir/*/%{name}.png

%post
%{update_menus}
%if %mdkversion > 200600
%update_icon_cache hicolor
%endif

%postun
%{clean_menus}
%if %mdkversion > 200600
%clean_icon_cache hicolor
%endif

%changelog
* Sun Feb  3 2008 Guillaume Bedot <littletux@zarb.org> 1.2.3-1plf2008.1
- 1.2.3
- Fix requires

* Fri Dec 14 2007 Guillaume Bedot <littletux@zarb.org> 1.2.1-1plf2008.1
- Release 1.2.1 (fixes annoying crash before burning...)
- buildreqs

* Thu Nov 29 2007 Guillaume Bedot <littletux@zarb.org> 1.2.0-1plf2008.1
- Release 1.2.0

* Tue Aug 14 2007 Guillaume Bedot <littletux@zarb.org> 1.1.2-1plf2008.0
- Release 1.1.2, removed wrong MimeTypes entry

* Tue May  1 2007 Guillaume Bedot <littletux@zarb.org> 1.1.1-2plf2008.0
- Fix x86_64 builds (thanks to Anssi for reporting)

* Tue Apr 10 2007 Guillaume Bedot <littletux@zarb.org> 1.1.1-1plf2007.1
- Release 1.1.1 (-3)
- dropped subpackages as the shared library is no more installed
- no more xinerama option

* Tue Mar 27 2007 Guillaume Bedot <littletux@zarb.org> 1.1.0-1plf2007.1
- Release 1.1.0
- Added new files (html doc)
- Fix desktop file and path

* Mon Jul 10 2006 Nicolas Lécureuil <neoclust@zarb.org> 1.0.4-3plf2007.0
- Fix duplicates menu entries

* Mon Jul 10 2006 Nicolas Lécureuil <neoclust@zarb.org> 1.0.4-2plf2007.0
- Fix Requires
- Use macros for icons

* Mon Jun 05 2006 Guillaume Bedot <littletux@zarb.org> 1.0.4-1plf2007.0
- 1.0.4-2
- fix summary and section for lib
- utf8 spec
- xdg menu
- add the doc

* Thu Apr 20 2006 Nicolas Lécureuil <neoclust@zarb.org> 1.0.4-0.beta3.3plf
- Fix URL

* Thu Apr 20 2006 Nicolas Lécureuil <neoclust@zarb.org> 1.0.4-0.beta3.2plf
- Fix PLF reason

* Thu Apr 20 2006 Nicolas Lécureuil <neoclust@zarb.org> 1.0.4-0.beta3.1plf
- 1.0.4-beta3

* Thu Dec 29 2005 trem <trem@zarb.org> 1.0.2-1plf
- New Release 1.0.2
- Split in app package and lib package (thanks Plouf)
- Clean the fix for qt/kde on x86_64 

* Fri Oct 14 2005 Nicolas Lécureuil <neoclust@zarb.org> 1.0.0-1plf
- New release 1.0.0

* Sat Oct  8 2005 Stefan van der Eijk <stefan@zarb.org> 0.3b-2plf
- distsuffix & mkrel
- BuildRequires

* Sun Jun 13 2005 Nicolas Lécureuil <neoclust@zarb.org> 0.3b-1plf
- 0.3b

* Tue May 17 2005 Sebastien Savarin <plouf@mandriva.org> 0.2-1plf
- First PLF release
